YPCAT(1) | General Commands Manual | YPCAT(1)

# NAME

ypcat — print the values of all keys in a NIS database

# SYNOPSIS

ypcat | [-kst] [-d domainname] mapname

ypcat | -x

# DESCRIPTION

ypcat prints out the values of all keys from the NIS database specified by mapname, which may be a map name or a map nickname.

The options are as follows:

-d domainname
  Specify a domain other than the default domain.
-k
  Display map keys. This option is useful with maps in which the values are null or the key is not part of the value.
-s
  When printing the value of a key, compress all whitespace characters to a single space. Useful when values contain newlines.
-t
  Inhibit translation of map nicknames to their corresponding map names.
-x
  Display the map nickname table, found in /var/yp/nicknames. A built-in default translation table is used if /var/yp/nicknames does not exist (see nicknames(5) for details).

# SEE ALSO

domainname(1), ypmatch(1), ypwhich(1), nicknames(5), nis(8), ypbind(8), yppoll(8), ypset(8)

# AUTHORS

Theo De Raadt Greywolf

January 12, 2011 | NetBSD 6.0